Bug #913

irssi: symbol lookup error: irssi: undefined symbol: PL_perl_destruct_level

Added by Adrien Duck about 3 years ago. Updated over 2 years ago.

Status:New Start:10/07/2016
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:- Spent time: -
Target version:-
Votes: 0

Description

Hi team Calculate,

I think there are a problem with irssi binary.

After update, when i launch irssi I have this error :

irssi: symbol lookup error: irssi: undefined symbol: PL_perl_destruct_level

If i install the same version of irssi with

FEATURES=-getbinpkg emerge -q irssi

I don't have the error.

Thanks.

History

Updated by Mikhail Hiretsky about 3 years ago

What version of dev-lang/perl do you use?

Updated by Adrien Duck over 2 years ago

Installed versions: 5.22.3_rc4(16:19:21 09/01/2017)(berkdb gdbm ithreads -debug -doc)

Updated by Adrien Duck over 2 years ago

If i reinstall irssi with

FEATURES="-getbinpkg" emerge irssi
irssi works.

Updated by Alexander Tratsevskiy over 2 years ago

Adrien Daugabel wrote:

If i reinstall irssi with
[...]

I install irssi 0.8.21, it work.

Also available in: Atom PDF

Thank you!